package cn.ey.biz.module.system.mq.producer.dept;

import cn.ey.biz.framework.mq.core.RedisMQTemplate;
import cn.ey.biz.module.system.mq.message.dept.DeptRefreshMessage;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

@Component
public class DeptProducerRedis implements DeptProducer {

    @Resource
    private RedisMQTemplate redisMQTemplate;

    @Override
    public void sendDeptRefreshMessage() {
        DeptRefreshMessage message = new DeptRefreshMessage();
        redisMQTemplate.send(message);
    }
}
